<template>
  <div class="userEdit container">
    <div class="box">
      <h1 class="title">Account details</h1>

      <b-field label="Email">
        <b-input v-model="user.email" type="email"  maxlength="50"/>
      </b-field>

      <b-field label="Username">
        <b-input v-model="user.username" maxlength="30" disabled/>
      </b-field>

      <b-field label="Password">
        <b-input type="password" v-model="user.password" password-reveal maxlength="50"/>
      </b-field>
    </div>
    <div class="box buttons is-right">
      <b-button tag="router-link" :to="{ name: 'Account' }">Cancel</b-button>
      <b-button type="is-success" @click="saveUser">Save</b-button>
    </div>
  </div>
</template>

<script>
import { api } from '@/api.js'

export default {
  name: 'UserEdit',
  props: {
    user: {
      type: Object,
      default: function () {
        return {}
      }
    }
  },
  methods: {
    async saveUser () {
      this.$buefy.toast.open('Updating user...')
      const response = await api.putUser(this.user)
      if (response.error) this.$buefy.toast.open('Update error ' + response.message)
      else {
        this.$buefy.toast.open('User successfully updated')
        this.$router.push({ name: 'Account' })
      }
    }
  }
}
</script>

<style scoped>
.userEdit{
  margin-top: 20px;
}
</style>
